package beilv.cardpurchaserecord.service;

import beilv.cardpurchaserecord.domain.CardPurchaseRecord;

import java.util.List;

/**
 * 购卡记录Service接口
 *
 * @author ruoyi
 * @date 2025-01-02
 */
public interface ICardPurchaseRecordService {
    /**
     * 查询购卡记录
     *
     * @param id 购卡记录主键
     * @return 购卡记录
     */
    public CardPurchaseRecord selectCardPurchaseRecordById(Long id);

    /**
     * 查询购卡记录列表
     *
     * @param cardPurchaseRecord 购卡记录
     * @return 购卡记录集合
     */
    public List<CardPurchaseRecord> selectCardPurchaseRecordList(CardPurchaseRecord cardPurchaseRecord);

    /**
     * 购卡生成订单
     *
     * @param cardPurchaseRecord 购卡记录
     * @return 结果
     */
    public String insertCardPurchaseRecord(CardPurchaseRecord cardPurchaseRecord);

    /*
    * 购卡回调
    *
    * @author 韩福成
    * @date 2025/1/16 下午2:25
    */
    public int addCardCallback(CardPurchaseRecord cardPurchaseRecord);

    /**
     * 修改购卡记录
     *
     * @param cardPurchaseRecord 购卡记录
     * @return 结果
     */
    public int updateCardPurchaseRecord(CardPurchaseRecord cardPurchaseRecord);

    /**
     * 批量删除购卡记录
     *
     * @param ids 需要删除的购卡记录主键集合
     * @return 结果
     */
    public int deleteCardPurchaseRecordByIds(String ids);

    /**
     * 删除购卡记录信息
     *
     * @param id 购卡记录主键
     * @return 结果
     */
    public int deleteCardPurchaseRecordById(Long id);
}
